> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current session

> Get the current active session for an online player



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json get /v0/players/sessions/current
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/players/sessions/current:
    get:
      tags:
        - players
      summary: Get current session
      description: Get the current active session for an online player
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
        - description: Player UUID (Minecraft UUID)
          in: query
          name: player_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.CurrentSessionResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Not Found
components:
  schemas:
    models.CurrentSessionResponse:
      description: Current session with client settings
      properties:
        session:
          $ref: '#/components/schemas/models.PlayerSessionResponse'
        settings:
          $ref: '#/components/schemas/models.PlayerClientSettingsResponse'
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object
    models.PlayerSessionResponse:
      description: Player session information
      properties:
        address_hash:
          example: abc123hash
          type: string
        client_version:
          example: 765
          type: integer
        duration_seconds:
          example: 7200
          type: integer
        id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        login_time:
          example: '2023-01-01T12:00:00Z'
          type: string
        logout_time:
          example: '2023-01-01T14:00:00Z'
          type: string
        network_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        online_mode:
          example: true
          type: boolean
        player_id:
          example: 069a79f4-44e9-4726-a5be-fca90e38aaf5
          type: string
      type: object
    models.PlayerClientSettingsResponse:
      description: Player client settings
      properties:
        chat_colors:
          example: true
          type: boolean
        chat_mode:
          example: ENABLED
          type: string
        client_listing_allowed:
          example: true
          type: boolean
        locale:
          example: en_US
          type: string
        main_hand:
          example: RIGHT
          type: string
        skin_parts:
          example:
            - CAPE
            - JACKET
            - LEFT_SLEEVE
          items:
            type: string
          type: array
          uniqueItems: false
        view_distance:
          example: 12
          type: integer
      type: object

````